Package org.wildfly.plugin.core

## Class SimpleDeploymentDescription

- java.lang.Object
- - org.wildfly.plugin.core.SimpleDeploymentDescription

- All Implemented Interfaces:
    `Comparable<SimpleDeploymentDescription>`, `DeploymentDescription`

      @Deprecated(forRemoval=true)
      public class SimpleDeploymentDescription
      extends Object
      implements DeploymentDescription, Comparable<SimpleDeploymentDescription>

  Deprecated, for removal: This API element is subject to removal in a future version.
  moved to new https://github.com/wildfly/wildfly-plugin-tools project
  A simple deployment description.
  Author:
    James R. Perkins

- - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `SimpleDeploymentDescription` | `addServerGroup​(String serverGroup)` | Deprecated, for removal: This API element is subject to removal in a future version. Adds a server group for the deployment description.
    `SimpleDeploymentDescription` | `addServerGroups​(String... serverGroups)` | Deprecated, for removal: This API element is subject to removal in a future version. Adds the server groups for the deployment description.
    `SimpleDeploymentDescription` | `addServerGroups​(Collection<String> serverGroups)` | Deprecated, for removal: This API element is subject to removal in a future version. Adds the server groups for the deployment description.
    `int` | `compareTo​(SimpleDeploymentDescription o)` | Deprecated, for removal: This API element is subject to removal in a future version.
    `boolean` | `equals​(Object obj)` | Deprecated, for removal: This API element is subject to removal in a future version.
    `String` | `getName()` | Deprecated, for removal: This API element is subject to removal in a future version. Returns the name for this deployment.
    `Set<String>` | `getServerGroups()` | Deprecated, for removal: This API element is subject to removal in a future version. Returns the server groups for this deployment.
    `int` | `hashCode()` | Deprecated, for removal: This API element is subject to removal in a future version.
    `static SimpleDeploymentDescription` | `of​(String name)` | Deprecated, for removal: This API element is subject to removal in a future version. Creates a simple deployment description with an empty set of server groups.
    `static SimpleDeploymentDescription` | `of​(String name, Set<String> serverGroups)` | Deprecated, for removal: This API element is subject to removal in a future version. Creates a simple deployment description.
    `String` | `toString()` | Deprecated, for removal: This API element is subject to removal in a future version.

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Method Detail

    - #### of

          public static SimpleDeploymentDescription of​(String name)

      Deprecated, for removal: This API element is subject to removal in a future version.
      Creates a simple deployment description with an empty set of server groups.
      Parameters:
        `name` - the name for the deployment
      Returns:
        the deployment description

    - #### of

          public static SimpleDeploymentDescription of​(String name,
                                                       Set<String> serverGroups)

      Deprecated, for removal: This API element is subject to removal in a future version.
      Creates a simple deployment description.
      Parameters:
        `name` - the name for the deployment
        `serverGroups` - the server groups
      Returns:
        the deployment description

    - #### addServerGroup

          public SimpleDeploymentDescription addServerGroup​(String serverGroup)

      Deprecated, for removal: This API element is subject to removal in a future version.
      Adds a server group for the deployment description.
      Parameters:
        `serverGroup` - the server group to add
      Returns:
        this deployment description

    - #### addServerGroups

          public SimpleDeploymentDescription addServerGroups​(String... serverGroups)

      Deprecated, for removal: This API element is subject to removal in a future version.
      Adds the server groups for the deployment description.
      Parameters:
        `serverGroups` - the server groups to add
      Returns:
        this deployment description

    - #### addServerGroups

          public SimpleDeploymentDescription addServerGroups​(Collection<String> serverGroups)

      Deprecated, for removal: This API element is subject to removal in a future version.
      Adds the server groups for the deployment description.
      Parameters:
        `serverGroups` - the server groups to add
      Returns:
        this deployment description

    - #### getServerGroups

          public Set<String> getServerGroups()

      Deprecated, for removal: This API element is subject to removal in a future version.
      Description copied from interface: `DeploymentDescription`
      Returns the server groups for this deployment.
      Specified by:
        `getServerGroups` in interface `DeploymentDescription`
      Returns:
        a set of server groups for this deployment

    - #### getName

          public String getName()

      Deprecated, for removal: This API element is subject to removal in a future version.
      Description copied from interface: `DeploymentDescription`
      Returns the name for this deployment.
      Specified by:
        `getName` in interface `DeploymentDescription`
      Returns:
        the name for this deployment

    - #### compareTo

          public int compareTo​(SimpleDeploymentDescription o)

      Deprecated, for removal: This API element is subject to removal in a future version.
      Specified by:
        `compareTo` in interface `Comparable<SimpleDeploymentDescription>`

    - #### hashCode

          public int hashCode()

      Deprecated, for removal: This API element is subject to removal in a future version.
      Overrides:
        `hashCode` in class `Object`

    - #### equals

          public boolean equals​(Object obj)

      Deprecated, for removal: This API element is subject to removal in a future version.
      Overrides:
        `equals` in class `Object`

    - #### toString

          public String toString()

      Deprecated, for removal: This API element is subject to removal in a future version.
      Overrides:
        `toString` in class `Object`